## remctl 3.16

=== debian/changelog ===
remctl (3.16-4+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 19 Nov 2019 08:15:32 +0000

remctl (3.16-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Avoid autopkgtest trying to download and install typing from PIP for
    the Python tests by removing install_requires, since setuptools is not
    smart enough to know that the typing dependency is satisfied by Python
    3's standard library.  (Closes: #944151, #944152)

 -- Russ Allbery <rra@debian.org>  Tue, 05 Nov 2019 20:45:18 -0800

remctl (3.16-3) unstable; urgency=medium

  * Fix syntax of Python autopkgtest script to work with both Python 2 and
    Python 3.

 -- Russ Allbery <rra@debian.org>  Sun, 03 Nov 2019 10:52:30 -0800

remctl (3.16-2) unstable; urgency=medium

  * Reupload including the binary packages since source-only uploads
    aren't allowed when NEW processing is involved.  (Requires a version
    bump because dgit already recorded the 3.16-1 version as part of a
    source-only upload.)

 -- Russ Allbery <rra@debian.org>  Sat, 26 Oct 2019 15:13:23 -0700

remctl (3.16-1) unstable; urgency=medium

  * New upstream release.
    - Add -t flag to the remctl client to specify network timeout.
    - Fix NULL pointer dereference after memory allocation failure.
    - Add GCC attributes to declarations in remctl.h.
  * Add python3-pyremctl package with the Python 3 version of the
    libremctl bindings and drop python-remctl.  (Closes: #938350)
  * Remove XS-Python-Version, since only 2.7 is now supported.
  * Add Build-Depends-Package to libremctl1 symbols file.
  * Mention remctl-shell in the long description of remctl-server.
  * Update to debhelper compatibility level V12.
    - Switch to debhelper-compat dependency and remove debian/compat.
    - Override dh_missing rather than pass --fail-missing to dh_install.
  * Update standards version to 4.4.1.
    - Install NEWS in all packages as /usr/share/doc/<package>/NEWS.gz
      rather than as changelog.gz.
  * Remove obsolete debian/source/options file to force xz compression.
  * Remove unnecessary Perl module test that includes Recommends.  The
    Perl module has no Recommends, so this is redundant with the normal
    dependency test.
  * Drop versioned dpkg-dev dependency that's older than oldoldstable.
  * Drop version constraint on gem2deb satisfied by oldoldstable.
  * Drop Provides: php7.0-remctl from php-remctl.  This transition was
    completed long ago.
  * Run wrap-and-sort -ast.

 -- Russ Allbery <rra@debian.org>  Sat, 26 Oct 2019 13:49:19 -0700
