=== debian/changelog ===
remctl (3.17-1) unstable; urgency=medium

  * New upstream release.
    - Add support for PHP 8.
    - Fix basic tests on platforms without IPv4.  (Closes: #972206)
  * Change the default Debian packaging branch to debian/unstable.
  * Move the canonical packaging repository to Salsa.
  * Remove the version number of PHP from the long description of
    php-remctl, since the source now supports either PHP 7 or PHP 8.
  * Update to debhelper compatibility level v13.
  * Update standards version to 4.5.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 13 Dec 2020 15:14:38 -0800
