=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-php,
  dh-python,
  gem2deb,
@@ -29,10 +29,10 @@
  python3-setuptools,
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.eyrie.org/~eagle/software/remctl/
-Vcs-Git: https://git.eyrie.org/git/kerberos/remctl.git -b debian/master
-Vcs-Browser: https://git.eyrie.org/?p=kerberos/remctl.git
+Vcs-Git: https://salsa.debian.org/rra/remctl.git
+Vcs-Browser: https://salsa.debian.org/rra/remctl
 
 Package: libremctl1
 Section: libs
@@ -147,7 +147,7 @@
  associated with an ACL containing a list of Kerberos principals
  authorized to run that command.
  .
- This package contains the PECL remctl module for PHP 7, which provides
+ This package contains the PECL remctl module for PHP, which provides
  native PHP bindings for the libremctl client library.
 
 Package: python3-pyremctl
