=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libremctl1 (>= 3.3)'
-
-override_dh_auto_test:
-	echo testsuite disabled
