## remctl 3.18

=== debian/changelog ===
remctl (3.18-5) unstable; urgency=medium

  * Adjust the test suite for different diagnostics in PCRE 10.47. Thanks,
    Matthew Vernon. (Closes: #1119871)
  * Enable verbose mode for runtests when building the Debian package so
    that the full output of each test will be shown. This will aid in
    debugging test failure without having to rebuild the package locally
    until c-tap-harness has better support for showing test failures.
  * Update debian/watch to version 5.
  * Remove obsolete Rules-Requires-Root: no control field.
  * Update upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 01 Nov 2025 09:58:21 -0700

remctl (3.18-4) unstable; urgency=medium

  * Adjust the test suite for different Getopt::Long diagnostics in Perl
    5.42. Thanks, Niko Tyni. (Closes: #1111883)
  * Update upstream signing key.

 -- Russ Allbery <rra@debian.org>  Mon, 08 Sep 2025 21:41:03 -0700

remctl (3.18-3) unstable; urgency=medium

  * Add perl-xs-dev to dependencies since this package builds an XS
    module. This is required for cross-building and eventually may be
    required if libcrypt-dev is separated from libc6-dev. Thanks, Helmut
    Grohne. (Closes: #1102874)
  * Update standards version to 4.7.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 12 Apr 2025 10:54:15 -0700

remctl (3.18-2) unstable; urgency=medium

  [ Russ Allbery ]
  * Incorporate 64-bit time_t transition changes from NMU.
  * Avoid comment markers in EXTRA_DIST because Automake now warns about
    them, which causes build failures due to -Werror. (Closes: #1094528)
  * Build-depend on pkgconf rather than pkg-config.
  * Adapt to new Ruby packaging standards.
    - Use ${ruby:Depends} instead of a manual Ruby dependency.
    - Override several Lintian tags that appear to be wrong.
  * Drop dh_autoreconf override in debian/rules since --as-needed is now
    the default in Debian.
  * Convert to the dgit-maint-debrebase workflow and add a
    debian/README.source file documenting that workflow.
  * Update Lintian overrides to drop a now-unneeded override and to adapt
    to the new syntax for extra information in tags.
  * Update standards version to 4.7.0 (no changes required).
  * Update upstream signing key.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    - remctl-server: Drop versioned constraint on netbase in Depends.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Russ Allbery <rra@debian.org>  Sat, 08 Feb 2025 14:28:02 -0800

remctl (3.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062856

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 20:27:39 +0000

remctl (3.18-1) unstable; urgency=medium

  * New upstream release.
    - Add support for PCRE2.  (Closes: 999974)
    - Document that pcre and regex ACL expressions should be anchored.
    - Document sending SIGHUP to remctld to reload its configuration.
    - Mark remctl client library functions with their deallocators.
  * Reorganize the binary package descriptions to put the distinguishing
    quality of each package first, ahead of the generic description of
    remctl, rather than last.
  * Test supported Python versions instead of requested versions for
    autopkgtests, and stop testing Python 2.x versions.
  * Refresh upstream signing key.
  * Override Lintian warning about the license of the protocol
    specification, which is under a separate, overriding free license.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 08 May 2022 21:17:33 -0700
