=== debian/watch ===
Version: 5

Source: https://archives.eyrie.org/software/kerberos/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
